//
//  ViewController.m
//  ImageViewer
//
//  Created by Stephen Zaharuk on 4/1/16.
//  Copyright © 2016 Stephen Zaharuk. All rights reserved.
//

#import "ViewController.h"
#import <IG/IG.h>

@interface ViewController ()
{
    IGGridView* _gridView;
    IGGridViewSingleRowSingleFieldDataSourceHelper *_dsh;
}


@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    
    _gridView = [[IGGridView alloc]initWithFrame:self.view.bounds style:IGGridViewStyleSingleCellPaging];
    _gridView.autoresizingMask = UIViewAutoresizingFlexibleWidth | UIViewAutoresizingFlexibleHeight;
    _gridView.allowHorizontalBounce = YES;
    _gridView.alwaysBounceVertical = NO;
    [self.view addSubview:_gridView];
    
    NSMutableArray* images = [[NSMutableArray alloc] init];
    for(int i = 1; i <= 26; i++)
    {
        ImageObj* obj = [[ImageObj alloc]init];
        obj.imageName = [NSString stringWithFormat:@"photo%d.jpeg", i];
        [images addObject:obj];
    }
    
    IGGridViewImageColumnDefinition* col = [[IGGridViewImageColumnDefinition alloc]initWithKey:@"image" forPropertyType:IGGridViewImageColumnDefinitionPropertyTypeImage];
    col.loadAsync = YES;
    
    _dsh = [[IGGridViewSingleRowSingleFieldDataSourceHelper alloc]initWithField:col];
    _dsh.data = images;
    
    _gridView.dataSource = _dsh;
    
}


@end

@implementation ImageObj

-(UIImage *)image
{
    return [UIImage imageNamed:self.imageName];
}

@end
